(**
 @file    reader.ml
 @brief   Reader For XML
 @author  shinyak
 @version $Rev: 266 $

 Shinya KAWANAKA (C) 2004 All Rights Reserved.
 $Id: reader.ml 266 2005-04-24 08:02:52Z shinyak $
*)

let pattern_from_string str =
  Parser.pattern Lexer.token (Lexing.from_string str)
;;


let relations_from_string str =
  Parser.exps Lexer.token (Lexing.from_string str)
;;


let relations_from_channel in_chan =
  Parser.exps Lexer.token (Lexing.from_channel in_chan)
;;


let relations_from_file filename =
  let in_chan = open_in filename in
  relations_from_channel in_chan
;;


